summaryrefslogtreecommitdiffstats
path: root/meta/files/toolchain-shar-relocate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta/files/toolchain-shar-relocate.sh')
-rw-r--r--meta/files/toolchain-shar-relocate.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/meta/files/toolchain-shar-relocate.sh b/meta/files/toolchain-shar-relocate.sh
index e8ab357717..b017714df0 100644
--- a/meta/files/toolchain-shar-relocate.sh
+++ b/meta/files/toolchain-shar-relocate.sh
@@ -1,7 +1,9 @@
-if ! xargs --version > /dev/null 2>&1; then
- echo "xargs is required by the relocation script, please install it first. Abort!"
- exit 1
-fi
+for cmd in xargs file; do
+ if ! command -v $cmd > /dev/null 2>&1; then
+ echo "The command '$cmd' is required by the relocation script, please install it first. Abort!"
+ exit 1
+ fi
+done
# fix dynamic loader paths in all ELF SDK binaries
# allow symlinks to be accessed via the find command too